Subject: Re: [ftpext] Grandfathered RFC commands and corresponding registry

From: Alfred Hönes <[email-masked]>
Date: Thu, 15 Mar 2012 15:45:51 +0100 (MEZ)

In an attempt to catch up with unanswered messages ...

At Fri, 08 Jul 2011 06:45:46 +0300, Mykyta Yevstifeyev wrote:
> Hello,
>
> RFC 5797, as you should know, established the registry for FTP
> commands. However, when making up Section 3, a number of pre-959
> legacy commands were excluded from that list.  They include:
> BYTE, SOCK, BYE (predecessor to QUIT), from RFC 354, MLFF and MAIL
> from RFC 385, LSTN from RFC 438, FORM from RFC 454, RDMF and RDML
> from RFC 458, 10 mail-related commands from RFC 475, OPEN, CLOS,
> SETP, GETP, READ, WRIT from RFC 520, XTP from RFC 683, XSEN, XSEM,
> XMAS from RFC 737, XRSQ and XRCP from RFC 734.  Correspondingly,
> I'd like to ask whether there is some (if any) sense in registering
> these values ass 'historical' in the FTP commands registry and
> to which extent (beginning with which RFC)?
>
> Mykyta Yevstifeyev

Mykyta,

RFC 5797 was intended to accompany the maintenance of an IETF
Standard protocol.  It wold not make much sense to extend its
coverage back into the ARPANET age, since implementations from
then have not survived into the current Internet and are of no
relevance to contemporary implementors and designers of FTP
extensions.  In particular, anything related to FTP-Mail is
double-gravestone dead!

Therefore, RFC 5797 captured in the registry the opcodes from
RFC 959 and more recent RFCs, but it also includes the legacy
opcodes mentioned in RFC 959 and RFC 1123 (e.g. the X... variants
of the directory commands from RFC 775 that -- presumably because
of this mention -- are still supported in popular FTP server
implementations, including those in use at ftp.rfc-editor.org,
ftp.ietf.org, and ftp.iana.org).

New registrations need to conform to Sections 2.2 and 2.3, and the
second paragraph of Section 5, of RFC 5797.
This IMO basically excludes the registration of very old proposed
legacy opcodes, due to lack of specification applicable to RFC 959
based FTP implementations and/or exicting implementation.

Best regards,
  Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+